OGRE: Ogre::D3D11VideoMode Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::D3D11VideoMode Class Reference

`#include <OgreD3D11VideoMode.h>`

## Public Member Functions
| D3D11VideoMode ()
| D3D11VideoMode (const D3D11VideoMode &ob)
| D3D11VideoMode (DXGI_OUTPUT_DESC d3ddm, DXGI_MODE_DESC ModeDesc)
| ~D3D11VideoMode ()
unsigned int | getColourDepth () const
String | getDescription () const
DXGI_OUTPUT_DESC | getDisplayMode () const
DXGI_FORMAT | getFormat () const
unsigned int | getHeight () const
DXGI_MODE_DESC | getModeDesc () const
DXGI_RATIONAL | getRefreshRate () const
unsigned int | getWidth () const
void | increaseRefreshRate (DXGI_RATIONAL rr)

## Constructor & Destructor Documentation

## ◆ D3D11VideoMode() [1/3]

Ogre::D3D11VideoMode::D3D11VideoMode | ( |  | ) |

## ◆ D3D11VideoMode() [2/3]

Ogre::D3D11VideoMode::D3D11VideoMode | ( | const D3D11VideoMode & | ob | ) |

## ◆ D3D11VideoMode() [3/3]

Ogre::D3D11VideoMode::D3D11VideoMode | ( | DXGI_OUTPUT_DESC | d3ddm,
|  | DXGI_MODE_DESC | ModeDesc
| ) |  |

## ◆ ~D3D11VideoMode()

Ogre::D3D11VideoMode::~D3D11VideoMode | ( |  | ) |

## Member Function Documentation

## ◆ getColourDepth()

unsigned int Ogre::D3D11VideoMode::getColourDepth | ( |  | ) | const

## ◆ getDescription()

String Ogre::D3D11VideoMode::getDescription | ( |  | ) | const

## ◆ getDisplayMode()

DXGI_OUTPUT_DESC Ogre::D3D11VideoMode::getDisplayMode | ( |  | ) | const

## ◆ getFormat()

DXGI_FORMAT Ogre::D3D11VideoMode::getFormat | ( |  | ) | const

## ◆ getHeight()

unsigned int Ogre::D3D11VideoMode::getHeight | ( |  | ) | const

## ◆ getModeDesc()

DXGI_MODE_DESC Ogre::D3D11VideoMode::getModeDesc | ( |  | ) | const

## ◆ getRefreshRate()

DXGI_RATIONAL Ogre::D3D11VideoMode::getRefreshRate | ( |  | ) | const

## ◆ getWidth()

unsigned int Ogre::D3D11VideoMode::getWidth | ( |  | ) | const

## ◆ increaseRefreshRate()

void Ogre::D3D11VideoMode::increaseRefreshRate | ( | DXGI_RATIONAL | rr | ) |

The documentation for this class was generated from the following file:

- OgreD3D11VideoMode.h